---
title: "API"
url: "https://docs.signnow.com/docs/api"
type: "page"
section: "Documentation"
slug: "api"
---

# API

## POST /v2/notarize

This endpoint allows you to send the document IDs and signer’s data to the Notarize service. The Notarize service uses this information to create a transaction and proceed to getting the documents notarized.

**Host**: <span style="color:red"><https://api.signnow.com//></span>

**Authorization**: Bearer

**Content-type**: application/json

### Parameters

- **documents** <span style="color:gray">\[array of strings]</span> <span style="color:red">_required_</span>

Array of unique IDs of the documents selected for notarization.

- **signers** <span style="color:gray">\[array of objects]</span> <span style="color:red">_required_</span>

Array of signer objects with each signer’s first name, last name, and email address.

- in:signers\[]  **email** <span style="color:gray">string</span> <span style="color:red">_required_</span>

Signer’s email address.

- in:signers\[]  **first_name** <span style="color:gray">string</span> <span style="color:red">_required_</span>

Signer’s first name.

- in:signers\[]  **last_name** <span style="color:gray">string</span> <span style="color:red">_required_</span>

Signer’s last name.

```
curl --location --request POST 'https://api.signnow.com/v2/notarize' \
--header 'Authorization: Bearer 5d2bd1d7d8c29846ed366af765bc4bf8c8673e6b6186a9947851a9e6523c5976' \
--header 'Content-Type: application/json' \
--data-raw '{
    "documents": [
        "d373ff0d6fea485192e3076b3dd52b1fb616c35f",
        "dd86e3763ca44cadbd876dd04f3c42bb926540d9"
    ],
    "signers": [
        {
            "email": "dada@gmail.com",
            "first_name": "Jim",
            "last_name": "Smith"
        },
        {
            "email": "jasmith@gmail.com",
            "first_name": "Jane",
            "last_name": "Smith"
        }
    ]
}'
```

<!--
type: tab
title: '200'
-->

```
200

{
  "data": {
    "signing_link": "https://app.notarize.com/activate-transaction?bundle_id=some-bundle-id&code=some-code&email=some@email.com"
  }
}
```

<!--
type: tab
title: '400'
-->

```
20002004

Invalid document id
```

<!--
type: tab
title: '400'
-->

```
20002001

Not readable
```

<!--
type: tab
title: '400'
-->

```
20002002

Document has invite
```

<!--
type: tab
title: '400'
-->

```
20002003

Transaction failed
```

<!--
type: tab
title: '400'
-->

```
20002006

invalid transaction status: [%s], transaction id: [%d]
```

<!-- type: tab-end -->


---
*Full page: https://docs.signnow.com/docs/api*
